
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "godist.h"

extern char *optarg;
extern int optind, opterr, optopt;

#define _GNU_SOURCE
#include <getopt.h>

void print_help() {
    printf("go-distance 0.1.0\n\n");
    printf("Usage: go-distance [hr] <go-terms>\n\n");
}

int main(int argc, char **argv) {
    int i;
    char *dimension[MAX_NODES];

    while ((i = getopt(argc, argv, "h")) != -1) {
        switch(i) {
            case 104: 
                print_help(); 
                exit(0);
                break;
	};
    }
    godist_init();

    build_dataset();
    godist_exit();
}

